Top up balance
Top up a subscription's balance. Charges the customer's payment method for the specified amount.
Top up a subscription's balance. Charges the customer's payment method for the specified amount.
application/jsonTypeScript Definitions
Use the request body type in TypeScript.
0 < valueapplication/json
application/json
curl -X POST "https://commet.co/api/v1/subscriptions/string/balance/topup" \ -H "Content-Type: application/json" \ -d '{ "amount": 0 }'application/json
Amount to top up (must be positive)
Top up a subscription's balance. Charges the customer's payment method for the specified amount.
Subscription public ID
{
"success": true,
"data": {
"object": "subscription",
"livemode": true,
"amount": 0
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}{
"success": false,
"error": {
"type": "validation_error",
"code": "string",
"message": "string",
"doc_url": "string",
"param": "string"
}
}